<template>
  <div class="fund-going-section" :class="{'mobile': isMobile()}">
    <div class="header px-md-5 pt-md-3">
      <h2 style="color: #ffffff">{{ data.title }}</h2>
    </div>
    <a-row type="flex" style="margin-top: 30px">
      <a-col :flex="3" class="px-5 pb-5 info-project">
        <div>
          <img :src="data.photo"/><br /><br />
          <p class="px-md-5">{{ data.description }}</p>
        </div>
      </a-col>
      <a-col :flex="1" class="wrap-action-btn d-flex justify-content-around">
        <div class="btn orange">
          D-21
        </div>
        <div class="btn red">
          Share Profit <br />
          35%
        </div>
        <div class="btn white">
          Goal<br />
          100,000,000 P
        </div>
      </a-col>
    </a-row>
    <a-row>
        <div class="detail d-flex align-items-start flex-column p-5" style="margin-top:30px">
          <span>Reach rate</span>
          <span>47%</span>
          <a-progress :percent="47" size="small" status="active"/>
          <span>47,000,000 P</span>
        </div>
    </a-row>
    <a-row class="pb-5 d-flex justify-content-center" :class="{'px-5': !isMobile()}">
      <a-button class="invest-btn d-flex justify-content-center align-items-center btn">Invest</a-button>
    </a-row>
  </div>
</template>

<style scoped>
.fund-going-section {
  padding-bottom: 60px;
}
h3 {
  color: #ffffff;
}
.row-fund {
  margin-top: 30px;
  display: table;
}

.info-project p {
  text-align: left;
}

.btn {
  padding: 20px 20px 20px 20px;
  text-align: center;
  border-radius: 15px;
  margin-top: 30px;
  cursor: pointer;
  width: 250px;
  color: #000000;
  font-weight: 500;
  display: flex;
  justify-content: center;
  align-items: center;
}

.btn:hover {
  opacity: 0.5;
}

.orange {
  background: chocolate;
}

.red {
  background: #DC4534;
}

.white {
  background: #fff;
}

.invest-btn {
  background: #1DB954 !important;
  border-radius: 15px;
  height: 80px;
  border: none;
  color: #000000 !important;
}

ul.lst {
  list-style: none;
  margin-top: 30px;
  margin-left: -30px;
  padding-left: 0;
}

ul.lst li {
  float: left;
  margin-left: 30px;
  background: #ffffff;
  width: 250px;
  border-radius: 5px;
  cursor: pointer;
}

ul.lst li:hover {
  background: #cccccc;
  border-radius: 5px;
}

.photo {
  width: 250px;
  height: 150px;
}

/* Mobile Style */
.mobile {
  padding: 0 16px;
}
.mobile .header {
  justify-content: flex-start;
  border-bottom: none;
  padding: 0;
  margin: 0;
}
.mobile .header h2 {
  font-weight: normal;
  font-size: 16px;
  line-height: 24px;
  color: #FFFFFF;
}
.mobile .info-project {
  padding: 0 !important;
}
.mobile .info-project img {
  width: 100%;
  height: 170px;
  object-fit: cover;
}
.mobile .info-project p {
  font-weight: 300;
  font-size: 14px;
  line-height: 21px;
  text-align: justify;
  color: #FFFFFF;
}
.mobile .wrap-action-btn {
  flex-direction: column;
}
.mobile .wrap-action-btn div {
  height: 50px;
  width: 100%;
  flex-grow: 1;
  padding: 0;
  font-weight: 500;
  font-size: 14px;
  line-height: 18px;
  color: #000000;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 14px;
}
.mobile .detail {
  padding: 16px 0 !important;
  font-weight: 300;
  font-size: 14px;
  color: #FFFFFF;
}
.mobile .detail *:not(:first-child){
  margin: 0 0 0 8px;
}
.mobile .invest-btn {
  width: 100%;
  height: 50px;
  margin: 0;
}
</style>

<script>
const data = {
  code: "D-19",
  title: "MVP 2nd mini Album",
  description:
    "My new our project are looking forward to some investors, There’s a part of every one of us that dreams of a better world. That spark of inspiration to help a person, fix a neighborhood, or even change a nation. At GoFundMe, we believe your inspiration should be shared with everyone because that is how change happens.",
  photo: "photo-album.jpg"
};

export default {
  data() {
    return {
      data: data
    };
  },

  methods: {
    isMobile() {
      if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
        return true;
      } else {
        return false;
      }
    }
  }
};
</script>
